# Update pixel

Route to update pixel.

Endpoint: PATCH /pixels/{pixelId}
Version: 1.0

## Path parameters:

  - `pixelId` (string, required)

## Header parameters:

  - `x-api-key` (string, required)
    Api key provided on integrations tab in Easyflow platform.

  - `x-api-secret` (string, required)
    Api Secret provided on integrations tab in Easyflow platform.

## Request fields (application/json):

  - `name` (string)

  - `description` (string)

  - `status` (string)
    permitted status: active and inactive

  - `platform` (string)
    available platforms: google, meta, gtm and tiktok

  - `code` (string)

  - `events` (array)
    An array of event types that the pixel should track. Each item must be one of the predefined event identifiers listed below:

- checkout-initialized

- purchase-completed

- purchase-failed

- purchase-btn-clicked

- pix-selected

- pix-generated

- pix-expired

- pix-copied

- credit-card-form-init

- credit-card-selected

- credit-card-form-completed

- bank-slip-selected

- bank-slip-form-completed

- address-form-completed

- delivery-address-completed

- coupon-added

- coupon-box-clicked

- coupon-form-init

- coupon-form-completed

- coupon-apply-failed

- user-form-init

- user-form-completed

- pre-checkout-form-init

- pre-checkout-form-completed

  - `serverSideMetadata` (object)

  - `serverSideMetadata.capi-access-token` (string)

  - `serverSideMetadata.enable-capi-access-token` (string)

## Response 200 fields (application/json):

  - `statusCode` (integer)
    Example: 200

  - `data` (object)

  - `data.updated` (boolean)

## Response 400 fields (application/json):

  - `message` (string)
    Invalid param: []
    Example: "Invalid param: []"

  - `error` (string)
    Bad Request
    Example: "Bad Request"

  - `statusCode` (integer)
    400
    Example: 400

## Response 401 fields (application/json):

  - `message` (string)
    Invalid field
    Example: "Unauthorized"

  - `error` (string)
    Unauthorized
    Example: "Unauthorized"

  - `statusCode` (integer)
    401
    Example: 401

## Response 403 fields (application/json):

  - `message` (string)
    Forbidden resource
    Example: "Forbidden resource"

  - `error` (string)
    Forbidden
    Example: "Forbidden"

  - `statusCode` (integer)
    403
    Example: 403

## Response 500 fields (application/json):

  - `message` (string)
    Internal server error
    Example: "Internal server error"

  - `error` (string)
    Internal Server Error
    Example: "Internal Server Error"

  - `statusCode` (integer)
    500
    Example: 500


